# frozen_string_literal: true

require 'codat/base_model'
require 'codat/models/balance_sheet_report'
require 'codat/models/financial_sheet'

module Codat
  module Models
    class BalanceSheet < FinancialSheet
      endpoint '/companies/:company_id/data/financials/balanceSheet'

      # attributes :currency, :most_recent_available_month, :earliest_available_month

      report_class BalanceSheetReport
    end
  end
end
