# frozen_string_literal: true

require 'codat/base_model'

module Codat
  module Models
    # Bank statements for a given company.
    class BankStatement < BaseModel
      attributes :id, :date, :description, :reconciled, :amount, :balance, :transaction_type
      attributes :modified_date, :source_modifiedDate
    end
  end
end
