# frozen_string_literal: true

require 'codat/base_model'
require 'codat/models/profit_and_loss_report'
require 'codat/models/financial_sheet'

module Codat
  module Models
    class ProfitAndLoss < FinancialSheet
      endpoint '/companies/:company_id/data/financials/profitAndLoss'

      attributes :report_basis

      report_class ProfitAndLossReport
    end
  end
end
